Subject: Re: [bug#28698] [PATCH] gnu: Enable support for libpurple in bitlbee.

From: Tomáš Čech <[email-masked]>
Date: Thu, 5 Oct 2017 23:13:04 +0200

Hi Ludo,

On Wed, Oct 04, 2017 at 03:00:12PM +0000, Ludovic Courtès wrote:
>Hi Tomáš!
>
>Tomáš Čech <[email-masked]> skribis:
>
>> * gnu/packages/messaging.scm (bitlbee): Add pidgin input, add more configure
>>   flags.
>
>I think it’s a good idea, but it’s taking a lot of extra space:
>
>--8<---------------cut here---------------start------------->8---
>$ guix size bitlbee |tail -1
>total: 176.5 MiB
>$ guix size bitlbee pidgin |tail -1
>total: 668.0 MiB
>--8<---------------cut here---------------end--------------->8---
>
>What about adding a “lib” output to Pidgin?  BitlBee would depend on
>that rather than on the whole Pidgin.

I agree - that is the best approach to split GUI and libpurple library,
I'll play with that.

Thanks for your review!

Tomas